Subject: bug#57758: Using menu-bar-mode and tool-bar-mode changes frame size

From: uzibalqa <[email-masked]>
Date: Tue, 13 Sep 2022 04:05:48 +0000

------- Original Message -------
On Tuesday, September 13th, 2022 at 3:55 AM, Po Lu <[email-masked]> wrote:

> uzibalqa [email-masked] writes:
> 
> > Why does a resize happen and why is it not a bug?
> 
> 
> Because changing the state of the tool bar and/or menu bar changes the
> size of the frame.

It makes more sense to change the size of the window instead of the frame.
Particularly for people having multiple screens of different sizes.  The frame 
resize poses the problem of having the frame get beyond the screen region,
with no way to access the menu-bar.